Bug 32467 - соединение в беспроводной сетью не устанавливается (сбрасывается)
: соединение в беспроводной сетью не устанавливается (сбрасывается)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/NetworkManager)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2016-09-02 18:37 by
Modified: 2017-12-08 13:50 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2016-09-02 18:37:56
после обновления NetworkManager (1.4.0-alt1), перестали устанавливается
соединения с беспроводной сетью (как минимум, затронуты сетевые адаптеры
BCM4312, но судя по поиску в инете, далко не только они).

При установлении соединения, NM пытается рандомизировать MAC адрес, при этом
сразу же сбрасывает интерфейс и разрывает соединение. Попытки указать
постоянный mac адрес как в конфигурации NM, так и в апплете NM (проверялся
plasma-nm из kde4) не изменяют поведение: адрес продолжает рандомизироваться.

Установлен последний wpa-supplicant 2.5-alt1. 

сен 02 22:22:02 host-52.localdomain NetworkManager[715]: <info> 
[1472829722.2054] device (wlp11s0): Activation: starting connection 'XXXX'
(5b3ead6a-3b4d-411b-b722-4cb4f571c84e)
сен 02 22:22:02 host-52.localdomain NetworkManager[715]: <info> 
[1472829722.2058] audit: op="connection-activate"
uuid="5b3ead6a-3b4d-411b-b722-4cb4f571c84e" name="XXXX" pid=2249 uid=500
result="success"
сен 02 22:22:02 host-52.localdomain NetworkManager[715]: <info> 
[1472829722.2061] device (wlp11s0): state change: disconnected -> prepare
(reason 'none') [30 40 0]
сен 02 22:22:02 host-52.localdomain NetworkManager[715]: <error>
[1472829722.2208] platform-linux: do-change-link[3]: failure changing link:
failure 23 (Слишком много открытых файлов в системе)
сен 02 22:22:02 host-52.localdomain NetworkManager[715]: <warn> 
[1472829722.2208] device (wlp11s0): set-hw-addr: failed to set-cloned MAC
address to 00:1F:3A:00:00:00 (00:1F:3A:00:00:00) (unspecified)
сен 02 22:22:02 host-52.localdomain NetworkManager[715]: <info> 
[1472829722.2216] device (wlp11s0): state change: prepare -> failed (reason
'none') [40 120 0]
сен 02 22:22:02 host-52.localdomain NetworkManager[715]: <info> 
[1472829722.2394] policy: disabling autoconnect for connection 'XXXX'.
сен 02 22:22:02 host-52.localdomain NetworkManager[715]: <warn> 
[1472829722.2397] device (wlp11s0): Activation: failed for connection 'XXXX'
сен 02 22:22:02 host-52.localdomain NetworkManager[715]: <info> 
[1472829722.2407] device (wlp11s0): supplicant interface state: inactive ->
disconnected
сен 02 22:22:02 host-52.localdomain NetworkManager[715]: <info> 
[1472829722.2408] device (wlp11s0): supplicant interface state: disconnected ->
inactive
сен 02 22:22:02 host-52.localdomain NetworkManager[715]: <error>
[1472829722.2472] platform-linux: do-change-link[3]: failure changing link:
failure 23 (Слишком много открытых файлов в системе)
сен 02 22:22:02 host-52.localdomain NetworkManager[715]: <warn> 
[1472829722.2472] device (wlp11s0): set-hw-addr: failed to set MAC address to
3A:77:62:BC:C6:B5 (scanning) (unspecified)
сен 02 22:22:02 host-52.localdomain NetworkManager[715]: <info> 
[1472829722.2568] device (wlp11s0): state change: failed -> disconnected
(reason 'none') [120 30 0]
сен 02 22:22:02 host-52.localdomain NetworkManager[715]: <info> 
[1472829722.2806] device (wlp11s0): supplicant interface state: inactive ->
disconnected
сен 02 22:22:02 host-52.localdomain NetworkManager[715]: <info> 
[1472829722.2808] device (wlp11s0): supplicant interface state: disconnected ->
inactive
сен 02 22:22:02 host-52.localdomain wpa_supplicant[1341]: wlp11s0: Reject scan
trigger since one is already pending

Попытка руками указать клонированный адрес равный фактическому, ни к чему не
приводит.
Попытка руками указать первые три октета равные фактическим (ID производителя),
ни к чему не приводит.

В интернете баг легко находится и известен довольно давно :(
------- Comment #1 From 2016-09-02 20:27:46 -------
Хм, вообще по умолчанию рандомизация MAC должна быть выключена.
Можно явно написать в конфиг файле соединения (в
/etc/NetworkManager/system-connections/) в секции [wifi]
mac-address-randomization=0.
Также можно попробовать написать в /etc/NetworkManager.conf в секции
[connection]
wifi.cloned-mac-address=preserve
------- Comment #2 From 2016-09-02 20:33:54 -------
(В ответ на комментарий №1)
> Хм, вообще по умолчанию рандомизация MAC должна быть выключена.
> Можно явно написать в конфиг файле соединения (в
> /etc/NetworkManager/system-connections/) в секции [wifi]
> mac-address-randomization=0.
> Также можно попробовать написать в /etc/NetworkManager.conf в секции
> [connection]
> wifi.cloned-mac-address=preserve

я выше писал. Это не помогает. В журнале всё те же попытки склонировать мак и
облом. Забавно, что интерфейс, в итоге, остаётся в состоянии с НОВЫМ
(клонированным) маком, но что толку, коль NM уже гордо отвалился :(
------- Comment #3 From 2016-09-03 10:22:28 -------
(В ответ на комментарий №2)
> > [connection]
> > wifi.cloned-mac-address=preserve
> 
> я выше писал. Это не помогает. 

Не вижу.

> В журнале всё те же попытки склонировать мак и
> облом. Забавно, что интерфейс, в итоге, остаётся в состоянии с НОВЫМ
> (клонированным) маком, но что толку, коль NM уже гордо отвалился :(

При wifi.cloned-mac-address=preserve не должно быть введено никаких cloned MAC.
Потому что иначе для этого соединенрия будет wifi.cloned-mac-address=<введеный
MAC>, а совсем не preserve.

Впрочем, я тут еще подумал, проблема скорее всего в другом. Попробуйте в
NetworkManager.conf написать

[device]
wifi.scan-rand-mac-address=no
------- Comment #4 From 2016-09-03 10:47:34 -------
На P8 тоже воспроизводится.
Обходится (как временное решение) переходом на etcnet.
------- Comment #5 From 2016-09-03 10:52:22 -------
Вот это помогло:
в NetworkManager.conf написать
[device]
wifi.scan-rand-mac-address=no
------- Comment #6 From 2016-09-04 21:11:42 -------
(В ответ на комментарий №5)
> Вот это помогло:
> в NetworkManager.conf написать
> [device]
> wifi.scan-rand-mac-address=no

да, отработало. но всё равно, надо бы докопаться до сути :)
------- Comment #7 From 2016-09-05 13:02:07 -------
(В ответ на комментарий №5)
> Вот это помогло: в NetworkManager.conf написать
> [device]
> wifi.scan-rand-mac-address=no
Хорошо бы в пакете так и сделать -- смысл багофичи понятен, но для
окончательной привязки при отсутствии явно возжеланного человеком выставления
случайного MAC должен применяться "естественный" как минимум для возможности
белого списка таковых на wifi-маршрутизаторе (или просто маршрутизаторе при
wifi-мосте).
------- Comment #8 From 2016-09-05 19:41:32 -------
Проверьте NM из задания #169179
------- Comment #9 From 2016-09-06 13:39:21 -------
(В ответ на комментарий №8)
> Проверьте NM из задания #169179
Собрал regular-mate.iso с ним, регрессий не наблюдаю (но у меня на тестовой
железке с realtek оно и вчера работало).  Могу выложить образ желающим,
если вдруг http://webery.altlinux.org/task/169179 почему-то недостаточно.
------- Comment #10 From 2016-09-08 18:23:59 -------
NetworkManager-1.4.0-alt2 -> sisyphus:

* Mon Sep 05 2016 Mikhail Efremov <sem@altlinux> 1.4.0-alt2
- Patches from upstream (closes: #32467):
  + dbus: fix emitting D-Bus NetworkManager's old-style PropertiesChange
    signal
  + exported-object: fix source interface for PropertiesChanged D-Bus
    signal
  + device: don't let external changes cause a release of the slave
  + platform: fix return value for error case in
    do_change_link_request().
  + platform: fix build.
  + device: add hack to wait after changing MAC address.
  + device: fix spelling in logging.
  + platform: workaround kernel wrongly returning ENFILE when changing
    MAC address.
  + platform: split processing result from do_change_link().
------- Comment #11 From 2016-11-10 17:27:29 -------
(In reply to comment #5)
> Вот это помогло:
> в NetworkManager.conf написать
> [device]
> wifi.scan-rand-mac-address=no

Лайв на сизифе от 20161107:

Без этой опции с no, устойчивая рандомизация MAC-адреса наблюдается на
HP Compaq nx6110

# date
Чт ноя 10 15:31:21 UTC 2016


# rpm -qa|grep NetworkManager
NetworkManager-vpnc-gtk-1.2.4-alt1
NetworkManager-daemon-1.4.2-alt1
NetworkManager-bluetooth-1.4.2-alt1
NetworkManager-wwan-1.4.2-alt1
NetworkManager-openvpn-1.2.6-alt1
NetworkManager-adsl-1.4.2-alt1
NetworkManager-1.4.2-alt1
NetworkManager-applet-gtk-1.4.2-alt1
NetworkManager-openvpn-gtk-1.2.6-alt1
NetworkManager-pptp-1.2.4-alt1
NetworkManager-pptp-gtk-1.2.4-alt1
NetworkManager-vpnc-1.2.4-alt1
NetworkManager-wifi-1.4.2-alt1


# grep random ./Wi-Fi-nx6110 
mac-address-randomization=0


# cat /etc/NetworkManager/NetworkManager.conf 
[main]
plugins=etcnet-alt,keyfile

#[device]
#wifi.scan-rand-mac-address=no


02:04.0 Network controller [0280]: Intel Corporation PRO/Wireless 2200BG
[Calexico2] Network Connection [8086:4220] (rev 05)
    Subsystem: Hewlett-Packard Company nc6120/nx8220/nw8240 [103c:12f6]
    Kernel driver in use: ipw2200

# grep eth1: /var/log/syslog/messages | tail -n 10
Nov 10 15:26:03 localhost kernel: [ 1419.734488] IPv6: ADDRCONF(NETDEV_UP):
eth1: link is not ready
Nov 10 15:26:03 localhost kernel: [ 1419.771759] eth1: Setting MAC to
xx:xx:xx:xx:xx:xx
Nov 10 15:26:03 localhost kernel: [ 1419.771943] IPv6: ADDRCONF(NETDEV_UP):
eth1: link is not ready
Nov 10 15:26:03 localhost kernel: [ 1419.933215] eth1: Setting MAC to
xx:xx:xx:xx:xx:xx
Nov 10 15:26:03 localhost kernel: [ 1420.033490] IPv6: ADDRCONF(NETDEV_UP):
eth1: link is not ready
Nov 10 15:26:03 localhost kernel: [ 1420.089047] eth1: Setting MAC to
xx:xx:xx:xx:xx:xx
Nov 10 15:26:04 localhost kernel: [ 1420.189365] IPv6: ADDRCONF(NETDEV_UP):
eth1: link is not ready
Nov 10 15:26:04 localhost kernel: [ 1420.191110] IPv6: ADDRCONF(NETDEV_UP):
eth1: link is not ready
Nov 10 15:26:04 localhost kernel: [ 1420.220759] eth1: Setting MAC to
xx:xx:xx:xx:xx:xx
Nov 10 15:26:04 localhost kernel: [ 1420.220946] IPv6: ADDRCONF(NETDEV_UP):
eth1: link is not ready


но не наблюдается на Lenovo G50-80

# cat /etc/NetworkManager/NetworkManager.conf 
[main]
plugins=etcnet-alt,keyfile

#[device]
#wifi.scan-rand-mac-address=no


# grep random /etc/NetworkManager/system-connections/Wi-Fi-G50 
mac-address-randomization=0


# lspci -knn|grep -A2 Netw
03:00.0 Network controller [0280]: Intel Corporation Wireless 3160 [8086:08b4]
(rev 93)
    Subsystem: Intel Corporation Dual Band Wireless AC 3160 [8086:8270]
    Kernel driver in use: iwlwifi


# grep kernel: /var/log/syslog/messages | tail -n 6
Nov 10 15:55:07 localhost kernel: [   22.838943] wlan0: authenticate with
xx:xx:xx:xx:xx:xx
Nov 10 15:55:07 localhost kernel: [   22.844366] wlan0: send auth to
xx:xx:xx:xx:xx:xx (try 1/3)
Nov 10 15:55:07 localhost kernel: [   22.846176] wlan0: authenticated
Nov 10 15:55:07 localhost kernel: [   22.850940] wlan0: associate with
xx:xx:xx:xx:xx:xx (try 1/3)
Nov 10 15:55:07 localhost kernel: [   22.855101] wlan0: RX AssocResp from
xx:xx:xx:xx:xx:xx (capab=0x431 status=0 aid=1)
Nov 10 15:55:07 localhost kernel: [   22.859674] wlan0: associated


# ping -c1 mail.ru
PING mail.ru (94.100.180.199) 56(84) bytes of data.
64 bytes from ms.mail.ru (94.100.180.199): icmp_req=1 ttl=53 time=306 ms

--- mail.ru ping statistics ---
1 packets transmitted, 1 received, 0% packet loss, time 0ms
rtt min/avg/max/mdev = 306.603/306.603/306.603/0.000 ms


https://forum.altlinux.org/index.php?topic=36177.msg299237#msg299237
https://forum.altlinux.org/index.php?topic=36177.msg299240#msg299240
https://forum.altlinux.org/index.php?topic=36177.msg299244#msg299244
------- Comment #12 From 2016-11-13 02:18:45 -------
После фикса рандома MAC-адреса, случайным образом продолжает проявляться на
ноутбуках: где-то может проявиться, а где-то нет.
Виновато ядро un-def, - вылавливал и с ядром 4.8.6-un-def и с ядром
4.8.7-un-def на ноутбуке HP Compaq nx6110

# lspci -knn|grep -A2 Netw
02:04.0 Network controller [0280]: Intel Corporation PRO/Wireless 2200BG
[Calexico2] Network Connection [8086:4220] (rev 05)
    Subsystem: Hewlett-Packard Company nc6120/nx8220/nw8240 [103c:12f6]
    Kernel driver in use: ipw2200


На Lenovo G50-80 не проявляется

$ lspci -knn|grep -A2 Netw
03:00.0 Network controller [0280]: Intel Corporation Wireless 3160 [8086:08b4]
(rev 93)
        Subsystem: Intel Corporation Dual Band Wireless AC 3160 [8086:8270]
        Kernel driver in use: iwlwifi


Но стоит ядро 4.4.30-std-def или 4.4.31-std-def сменить на 4.8.7-un-def, как на
nx6110 появляется устойчивая рандомизация MAC-адреса, - из-за случайного
проявления на разных моделях ноутбуков, ловить это очень сложно:

# lspci -knn|grep -A2 VGA|grep Subsystem
    Subsystem: Hewlett-Packard Company NX6110/NC6120 [103c:099c]



Нет рандомизации MAC-адреса, - беспроводная сеть подхватывается устойчиво и
сразу.
(sda3 regular-xfce)

# tune2fs -l /dev/sda3|grep -i create
Filesystem created:       Thu Oct 27 21:39:25 2016


# uname -r
4.4.30-std-def-alt1


# rpm -qa|grep NetworkManager|sort
NetworkManager-1.4.2-alt1
NetworkManager-adsl-1.4.2-alt1
NetworkManager-applet-gtk-1.4.2-alt1
NetworkManager-bluetooth-1.4.2-alt1
NetworkManager-daemon-1.4.2-alt1
NetworkManager-openvpn-1.2.6-alt1
NetworkManager-openvpn-gtk-1.2.6-alt1
NetworkManager-pptp-1.2.4-alt1
NetworkManager-pptp-gtk-1.2.4-alt1
NetworkManager-vpnc-1.2.4-alt1
NetworkManager-vpnc-gtk-1.2.4-alt1
NetworkManager-wifi-1.4.2-alt1
NetworkManager-wwan-1.4.2-alt1


# grep random /etc/NetworkManager/system-connections/Wi-Fi\=1 
mac-address-randomization=0


# grep . /etc/NetworkManager/NetworkManager.conf 
[main]
plugins=etcnet-alt,keyfile



reboot to 

# uname -r
4.8.7-un-def-alt1


# grep random /etc/NetworkManager/system-connections/Wi-Fi\=1 
mac-address-randomization=0


# grep . /etc/NetworkManager/NetworkManager.conf 
[main]
plugins=etcnet-alt,keyfile


# iwconfig | grep eth0
lo        no wireless extensions.

eth0      IEEE 802.11  ESSID:off/any  


# grep -rH 'Nov 13 00\|Nov 13 01' /var/log/syslog/messages | grep MAC | wc -l
41


# grep -rH 'Nov 13 00\|Nov 13 01' /var/log/syslog/messages | grep MAC | tail -n
10
/var/log/syslog/messages:Nov 13 01:06:46 pentium-m kernel: [  489.305622] eth0:
Setting MAC to 86:16:22:ce:2d:cf
/var/log/syslog/messages:Nov 13 01:06:46 pentium-m kernel: [  489.467507] eth0:
Setting MAC to xx:xx:xx:xx:xx:xx
/var/log/syslog/messages:Nov 13 01:06:46 pentium-m kernel: [  489.613723] eth0:
Setting MAC to 1a:54:96:27:00:0b
/var/log/syslog/messages:Nov 13 01:06:46 pentium-m kernel: [  489.753016] eth0:
Setting MAC to 1a:54:96:27:00:0b
/var/log/syslog/messages:Nov 13 01:06:46 pentium-m kernel: [  489.918084] eth0:
Setting MAC to xx:xx:xx:xx:xx:xx
/var/log/syslog/messages:Nov 13 01:06:46 pentium-m kernel: [  490.064337] eth0:
Setting MAC to f6:1b:b4:44:7b:cc
/var/log/syslog/messages:Nov 13 01:06:47 pentium-m kernel: [  490.203585] eth0:
Setting MAC to f6:1b:b4:44:7b:cc
/var/log/syslog/messages:Nov 13 01:06:47 pentium-m kernel: [  490.370376] eth0:
Setting MAC to xx:xx:xx:xx:xx:xx
/var/log/syslog/messages:Nov 13 01:06:47 pentium-m kernel: [  490.523317] eth0:
Setting MAC to 12:08:c9:90:8f:95
/var/log/syslog/messages:Nov 13 01:06:47 pentium-m kernel: [  490.663981] eth0:
Setting MAC to 12:08:c9:90:8f:95



reboot to

С ядром

# uname -r
4.4.31-std-def-alt1


рандомизация MAC-адреса исчезает, беспроводная сеть подхватывается моментально:

# iwconfig | grep eth0
lo        no wireless extensions.

eth0      IEEE 802.11bg  ESSID:"Blackhole"  


$ ping -c1 ya.ru
PING ya.ru (213.180.193.3) 56(84) bytes of data.
64 bytes from www.yandex.ru (213.180.193.3): icmp_req=1 ttl=54 time=69.7 ms

--- ya.ru ping statistics ---
1 packets transmitted, 1 received, 0% packet loss, time 0ms
rtt min/avg/max/mdev = 69.780/69.780/69.780/0.000 ms


Это сообщение дубликат сообщения на форуме в подфоруме Разработка:
https://forum.altlinux.org/index.php?topic=36177.msg299404#msg299404
------- Comment #13 From 2016-11-15 20:32:47 -------
Я так и не понял, так проблема с подключением wi-fi есть или нет? И если есть,
то помогает ли wifi.scan-rand-mac-address=no?
Или проблема в том, что при включенной рандомизации она не наблюдается?
И какая рандомизация, при сканировании(wifi.scan-rand-mac-address) или при
подключении (mac-address-randomization)?
Первое по умолчанию включено, второе - выключено.
------- Comment #14 From 2017-01-30 18:27:51 -------
(In reply to comment #13)
> Я так и не понял, так проблема с подключением wi-fi есть или нет?

Есть.
Проверено на regular-xfce от 20170125
Беспроводная сеть не поднимается.

> И если есть, то помогает ли wifi.scan-rand-mac-address=no?

Помогает.
Требуется его _обязательное_ добавление, иначе беспроводка не поднимется.

В последнюю регулярку добавлены три последние строки:
# cat /etc/NetworkManager/NetworkManager.conf 
[main]
plugins=etcnet-alt,keyfile

[device]
wifi.scan-rand-mac-address=no

Без wifi.scan-rand-mac-address=no, беспроводная сеть на nx6110 с ipw2200 не
поднимется ни на одном альтовом дистрибутиве.
------- Comment #15 From 2017-02-07 18:40:06 -------
Т.е. проблема в драйвере ipw2200. Еще мне известно, что проблема возникает с
драйвером wl.
Мне очень не хочется выключать эту фичу по умолчанию, она хорошая.
Возможно стоит добавить в конфиг в закомментированном виде, чтобы те, кому не
повезло иметь кривые драйвера, могли просто расскоментировать.
------- Comment #16 From 2017-02-07 18:52:41 -------
(В ответ на комментарий №15)
> Возможно стоит добавить в конфиг в закомментированном виде, чтобы те, кому не
> повезло иметь кривые драйвера, могли просто расскоментировать.
Давай так; и сделаем installer-feature для раскомментирования по списку.
------- Comment #17 From 2017-02-07 18:55:08 -------
(In reply to comment #16)
> Давай так; и сделаем installer-feature для раскомментирования по списку.

Да, я тоже думал про этот вариант. Хорошо бы набрать статистику на каких еще
драйверах возникает проблема.
------- Comment #18 From 2017-02-17 17:40:07 -------
Имеет смысл проверить NM из задания #178326. Там есть изменения в области
работы с wi-fi вообще и сканирования в частности.
------- Comment #19 From 2017-03-29 18:02:29 -------
>Хорошо бы набрать статистику на каких еще драйверах возникает проблема.

Воспроизводится на 
Network controller: Broadcom Limited BCM43228 802.11a/b/g/n

драйвера bcmwl

без добавления
[device]
wifi.scan-rand-mac-address=no

wifi неработоспособен
------- Comment #20 From 2017-03-29 21:27:25 -------
Поддерживаю предыдущего оратора.
------- Comment #21 From 2017-06-26 14:50:47 -------
Тоже столкнулся.
02:00.0 Network controller: Qualcomm Atheros QCA6174 802.11ac Wireless Network
Adapter (rev 32)
        Subsystem: Bigfoot Networks, Inc. Device 1535
        Kernel driver in use: ath10k_pci

Сеть через etcnet или systemd-networkd при этом работает нормально.
А через NetworkManager не хочет.
------- Comment #22 From 2017-06-26 15:30:28 -------
(В ответ на комментарий №21)
>         Kernel driver in use: ath10k_pci
Чисто на всякий: попробуй завтрашние firmware-linux, там чё-то про ath10k было.
------- Comment #23 From 2017-06-26 15:31:52 -------
мне сложно будет себя заставить поставить NetworkManager снова, я подожду
livecd kde5 с новым firmware.
------- Comment #24 From 2017-06-26 16:10:18 -------
(In reply to comment #21)
> Тоже столкнулся.
> 02:00.0 Network controller: Qualcomm Atheros QCA6174 802.11ac Wireless Network
> Adapter (rev 32)
>         Subsystem: Bigfoot Networks, Inc. Device 1535
>         Kernel driver in use: ath10k_pci
> 
> Сеть через etcnet или systemd-networkd при этом работает нормально.
> А через NetworkManager не хочет.

Т.е. выключить рандомизацию MAC адреса помогло?
------- Comment #25 From 2017-06-26 16:11:10 -------
Тогда, когда я сеть настраивал - я не мог прочитать эту ошибку и соотвественно
что-то попробовать ;(

Но я обязательно к ней вернусь как только так сразу.
------- Comment #26 From 2017-07-05 22:04:51 -------
NetworkManager-1.8.1-alt1.git20170629 -> sisyphus:

Wed Jul 05 2017 Mikhail Efremov <sem@altlinux.org> 1.8.1-alt1.git20170629
- sysconfig: Set NM_DOWN_CONTROLLED and NM_STOP_ONEXIT to 'no'.
- NetworkManager.conf: Drop note about MAC randomization.
- Disable changing MAC for broken drivers by default (closes: #32467).
- Explicitly set logging backend to journal if built with systemd.
- Enable json-validation if built with teamd.
- Package example config files.
- Use %nmlibdir macro to package VPN directory.
- Package /usr/lib/NetworkManager/conf.d/ directory.
- Upstream git snapshot (nm-1-8 branch).

Mon Apr 24 2017 Mikhail Efremov <sem@altlinux.org> 1.7.92-alt1
- Updated to 1.7.92 (1.8-rc3).